Enrich
Find phone
Finds a LinkedIn contact’s mobile phone number
POST
https://api.talktohumans.app
/
v1
/
contacts
/
{contact_id}
/
find-phone
Find phone
curl --request POST \
--url https://api.talktohumans.app/v1/contacts/{contact_id}/find-phone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_id": "42"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({account_id: '42'})
};
fetch('https://api.talktohumans.app/v1/contacts/{contact_id}/find-phone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.talktohumans.app/v1/contacts/{contact_id}/find-phone"
payload = { "account_id": "42" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.talktohumans.app/v1/contacts/{contact_id}/find-phone"
payload := strings.NewReader("{\n \"account_id\": \"42\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"contact": {
"contact_id": "<string>",
"account": {
"account_id": "<string>",
"display_name": "<string>",
"provider_account_id": "<string>",
"owner_user_id": "<string>"
},
"name": "<string>",
"relationship_status": "connected",
"contact_enrichment": {
"work_email": {
"status": "not_requested",
"error_code": "<string>"
},
"phone": {
"status": "not_requested",
"error_code": "<string>"
}
},
"tags": [
{
"name": "<string>",
"color": "green"
}
],
"notes": [
{
"note_id": "<string>",
"content": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"app_url": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"headline": "<string>",
"primary_role_title": "<string>",
"primary_company_name": "<string>",
"linkedin_url": "<string>",
"work_email": "<string>",
"phone": "<string>"
}
}
}
Authorizations
Pass API key as Authorization: Bearer <api_key>.
Path Parameters
Contact ID returned by GET /v1/contacts or a contact import's results.
Pattern:
^[1-9][0-9]*$Body
application/json
Response
Contact with the lookup result.
Show child attributes
Show child attributes
⌘I
Find phone
curl --request POST \
--url https://api.talktohumans.app/v1/contacts/{contact_id}/find-phone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_id": "42"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({account_id: '42'})
};
fetch('https://api.talktohumans.app/v1/contacts/{contact_id}/find-phone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.talktohumans.app/v1/contacts/{contact_id}/find-phone"
payload = { "account_id": "42" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.talktohumans.app/v1/contacts/{contact_id}/find-phone"
payload := strings.NewReader("{\n \"account_id\": \"42\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"contact": {
"contact_id": "<string>",
"account": {
"account_id": "<string>",
"display_name": "<string>",
"provider_account_id": "<string>",
"owner_user_id": "<string>"
},
"name": "<string>",
"relationship_status": "connected",
"contact_enrichment": {
"work_email": {
"status": "not_requested",
"error_code": "<string>"
},
"phone": {
"status": "not_requested",
"error_code": "<string>"
}
},
"tags": [
{
"name": "<string>",
"color": "green"
}
],
"notes": [
{
"note_id": "<string>",
"content": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"app_url": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"headline": "<string>",
"primary_role_title": "<string>",
"primary_company_name": "<string>",
"linkedin_url": "<string>",
"work_email": "<string>",
"phone": "<string>"
}
}
}